Welcome to the VanDyke Software Forums

Join the discussion today!


Go Back   VanDyke Software Forums > Secure Shell

Reply
 
Thread Tools Display Modes
  #1  
Old 07-18-2018, 01:07 PM
brwatters brwatters is offline
Registered User
 
Join Date: Nov 2006
Posts: 8
SecureCRT on Linux

Using the latest beta which claims to run on Ubuntu 18.04 which is the underlying OS of Linux Mint 19 I find SecureCRT 8.5 does not appear to still be working ? .. Anyone else see this ? .. Any resolutions and or fixes ?

BRW
Reply With Quote
  #2  
Old 07-18-2018, 03:06 PM
ekoranyi ekoranyi is offline
VanDyke Technical Support
 
Join Date: Jan 2017
Posts: 654
Hi brwatters,

I'm sorry you're having trouble. It sounds like you're aware that Mint is not a currently support platform, as such we cannot guarantee it will run without trouble.

That being said, I was successful in installing the 8.5 Beta on Linux Mint 19. I used the installer named scrt-8.5.0-1696.ubuntu18-64.x86_64.deb on Linux Mint 19 Cinnamon.

Can you elaborate on the behavior you're seeing? Does the problem appear during or after installation? Does installing from the command line provide additional troubleshooting information.

The following command can be used to install SecureCRT.

Code:
dpkg -i scrt-8.5.0-1696.ubuntu18-64.x86_64.deb
Does launching SecureCRT from the command line change the behavior? You should be able to use the below command to launch the application.

Code:
SecureCRT
__________________
Thanks,
--Eric

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
  #3  
Old 07-18-2018, 03:49 PM
brwatters brwatters is offline
Registered User
 
Join Date: Nov 2006
Posts: 8
So install no issues, I can open same both via cli and menu with same behavior, the issue is that none of the menu selections from within the program will activate, meaning no drop downs, I can open a session without issue just none of the menu/drop downs are available, seems strange as I can run all without issue on a clean install of Mint 19, but after a few installs of other bits of software this issue happens, I seem to have narrowed it down to the RDP program I use also which is "Remmina" Once I install the RDP plugin for this program my issues appear to start with SecureCRT.

See attached vid

BRW
Attached Files
File Type: zip Peek 2018-07-18 13-46.mp4.zip (163.5 KB, 212 views)
Reply With Quote
  #4  
Old 07-18-2018, 03:53 PM
brwatters brwatters is offline
Registered User
 
Join Date: Nov 2006
Posts: 8
One more to review while using SecureCRT

BRW
Attached Files
File Type: zip Peek 2018-07-18 13-51.mp4.zip (880.7 KB, 187 views)
Reply With Quote
  #5  
Old 07-18-2018, 04:27 PM
ekoranyi ekoranyi is offline
VanDyke Technical Support
 
Join Date: Jan 2017
Posts: 654
brwatters,

It appears to not be related to Remmina, at least not just Remmina. I installed both Remmina and the RDP plugin.

Code:
apt-get install remmina
apt-get install remmina-plugin-rdp




Even with these installed I can use SecureCRT's menu without issue.

With this being outside the scope of support we normally provide I don't know that I'll be able to provide a definitive answer. If you can provide a set of steps I could take to recreate the issue I would be happy to see what help we can provide.
Attached Images
File Type: png SecureCRT85Mint.png (145.1 KB, 986 views)
__________________
Thanks,
--Eric

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
  #6  
Old 07-18-2018, 04:38 PM
brwatters brwatters is offline
Registered User
 
Join Date: Nov 2006
Posts: 8
Have you run all updates on your test Mint 19 box ?

BRW
Reply With Quote
  #7  
Old 07-18-2018, 04:43 PM
ekoranyi ekoranyi is offline
VanDyke Technical Support
 
Join Date: Jan 2017
Posts: 654
brwatters,

I have, I did a fresh install via the linuxmint-19-cinnamon-64bit.iso, then did a full update/upgrade. After the updates I installed SecureCRT 8.5, then Remmina and the plugin.
__________________
Thanks,
--Eric

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
  #8  
Old 07-19-2018, 02:24 PM
brwatters brwatters is offline
Registered User
 
Join Date: Nov 2006
Posts: 8
FYI, the latest Beta build resolved my issues !!

BRW
Reply With Quote
  #9  
Old 07-19-2018, 02:26 PM
ekoranyi ekoranyi is offline
VanDyke Technical Support
 
Join Date: Jan 2017
Posts: 654
brwatters,

Thanks for the update, I'm glad to hear that cleared the problem up for you.
__________________
Thanks,
--Eric

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
  #10  
Old 07-19-2018, 02:31 PM
brwatters brwatters is offline
Registered User
 
Join Date: Nov 2006
Posts: 8
Can you tell me if this latest Beta (3) was built against different and or updated libraries ?

BRW
Reply With Quote
  #11  
Old 07-19-2018, 03:53 PM
ekoranyi ekoranyi is offline
VanDyke Technical Support
 
Join Date: Jan 2017
Posts: 654
brwatters,

I'm not explicitly aware of any changes, but changes of that magnitude would be unusual between two Beta's. It seems more likely that software installed after SecureCRT removed/modified some files that SecureCRT was relying on and installing Beta 3 restored these files.

I'm glad to hear you're up and running and we'll be sure to let you know if a version targeted for Mint becomes available.
__________________
Thanks,
--Eric

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
Reply

Tags
18.4 , beta , lunix , mint


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -6. The time now is 05:44 PM.